Re: PREFERRED_VERSION_pn-: which version is selected?


Mauro Ziliani
 

My purpose is this.

For image-recipe_1.0.0 I need recip1 version 0.9

For image-recipe_1.1.0 I need recip1 version 1.0


How I can solve this?


Best regards

  MZ

Il 08/02/21 12:09, Josef Holzmayr ha scritto:
Howdy!

Am Mo., 8. Feb. 2021 um 11:52 Uhr schrieb Mauro Ziliani <mauro@faresoftware.it>:
In the image recipe I put

image-recipe.bb

IMAGE_INSTALL_append := " \
recipe1 \
"

PREFERRED_VERSION_pn-recipe1 := "0.9"
As usual, recipe data is local, conf data is global. Setting things
that should affect other recipes (like PREFERRED_VERSION) does not
work inside a recipe - and an image recipe is still just a recipe.
This needs to go into the DISTRO config, usually.

Greetz

Join yocto@lists.yoctoproject.org to automatically receive all group messages.